---
schema_version: "1"
id: d9e8442dd55d1f6a697fde27a026ff96c901b070b0ab7de623ac0d9f3f3e6e14
title: FSC Integrations
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/financial_services/references/generated-api-specs/fsc_api.md
canonical_url: https://developer.salesforce.com/docs/industries/fsc/references/fsc_api
source_site: developer.salesforce.com
content_type: documentation
content_hash: 433cf26938160756e4388b2f551e2e5f86c5e0f59ed91f70baeffdeafabdf1d3
products:
  - Agentforce Financial Services
  - Industries Integrations
---
FSC Integrations

# FSC Integrations

Use the Financial Services Cloud Integrations API to access core banking functions that are provided by external banking systems. With the Integrations API, you can retrieve account balances, retrieve account transactions, update address, and reverse a fee applied to financial accounts.

**Version:** v1

Protocols: HTTPS.

## Operations

### PUT Replace cards for current account

`PUT /CurrentAccount/IssuedDevice/Request`

Replaces cards for current account.

#### Parameters

*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `ReplaceIssuedDeviceRequest`.

#### Responses

*   **200** Replace cards for current account.
    
    Media type: `application/json`. Schema: `ReplaceIssuedDeviceResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "406"
    errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "415"
    errorMessage: The server denied the request because it is not in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve current account balance

`GET /CurrentAccount/{accountId}`

Retrieves the account balance of current account.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Retrieved current account balance.
    
    Media type: `application/json`. Schema: `object`.
    
    Financial account info returned by the GET method.
    
    *   `AccountId` (_string_)  
        Example: `01axx000003MLytAAG`.
    *   `AccountName` (_string_)  
        Example: `Salesforce.com`.
    *   `AccountCurrency` (_string_, required)  
        Example: `USD`.
    *   `AccountType` (_string_, required)  
        Example: `CurrentAccount`.
    *   `Balances` (_array of object_, required)
        
        Each item: Balance object for an account.
        
        _Example_
        
        ```
        -
          BalanceType: CurrentPostedBalance
          BalanceAmount: 222
        -
          BalanceType: Balance
          BalanceAmount: 787
        -
          BalanceType: PendingWithdrawals
          BalanceAmount: 90
        -
          BalanceType: PendingDeposits
          BalanceAmount: 9008
        -
          BalanceType: BalanceLastStatement
          BalanceAmount: 2000
        ```
        
        *   `BalanceType` (_string_, required)  
            Example: `AvailableBalance`.
        *   `BalanceAmount` (_number_, required)  
            Example: `5000`.
    *   `AdditionalAttributes` (_object_)
        *   `PaymentDueDate` (_string_, required)  
            Example: `2025-06-08`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PATCH Update the address of current account

`PATCH /CurrentAccount/{accountId}`

Updates the address of current account.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.

#### Request body

Media type: `application/json`. Schema: `AddressUpdateRequest`.

#### Responses

*   **200** Updated the address of current account
    
    Media type: `application/json`. Schema: `SuccessResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Add beneficiary

`POST /CurrentAccount/{accountId}/Initiate`

Adds a beneficiary.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `BeneficiariesRequest`.

#### Responses

*   **201** Beneficiary added.
    
    Media type: `application/json`. Schema: `BeneficiariesResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### DELETE Delete beneficiary

`DELETE /CurrentAccount/{accountId}/Delete`

Deletes a beneficiary.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `DeleteBeneficiariesRequest`.

#### Responses

*   **200** Deleted the beneficiary.
    
    Media type: `application/json`. Schema: `DeleteBeneficiariesResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Reverse fee on current account

`POST /CurrentAccount/{accountId}/ReverseFee`

Reverses the fee that's applied on a customer's current account.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `request` (_object_, required)
    *   `FeeReversalTransactions` (_array of object_, required) Specifies the list of transactions that the customer has requested to reverse.
        *   `ReversalAmount` (_number_, required) Specifies the amount that's approved for the reversal.  
            Example: `50.00`.
        *   `ReversalAmountCurrency` (_string_, required) Specifies the currency of the amount to be reversed.  
            Example: `USD`.
        *   `ReversalReason` (_string_, required) Specifies the reason for requesting the reversal.  
            Example: `Reversal requested by the VIP customer.`.
        *   `OriginalTransaction` (_object_, required) Specifies the details of the original transaction.
            *   `TransactionId` (_string_, required)  
                Example: `123456`.
            *   `TransactionAmount` (_number_, required)  
                Example: `5000`.
            *   `TransactionPostedDate` (_string_, required)  
                Example: `2000-01-01`.
            *   `TransactionDescription` (_string_)  
                Example: `Annual Credit Card Fee`.
            *   `TransactionType` (_string_)  
                Example: `Fee`.
            *   `TransactionAmountCurrency` (_string_, required) Specifies the currency of the original transaction amount.  
                Example: `USD`.
            *   `AdditionalAttributes` (_object_)
                
                _Example_
                
                ```
                "Subtype": Overdraft Fee
                ```
                
            *   `TransactionCode` (_string_)
        *   `AdditionalAttributes` (_object_, required) Specifies additional attributes that must be sent in the request.

#### Responses

*   **200** Reversed fee on current account.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `FeeReversalTransactionResponse` (_array of object_, required)
        *   `OriginalTransactionId` (_string_, required)  
            Example: `someTransactionId`.
        *   `FeeReversalErrorDetail` (_object_) Response object for an error.
            *   `ErrorCode` (_string_)  
                Example: `E-002`.
            *   `ErrorMessage` (_string_, required)  
                Example: `Specifies the error while retrieving the account information.`.
            *   `MaintenanceResponse` (_object_)
                *   `timestamp` (_datetime (rfc3339)_)  
                    Example: `2022-02-28T16:41:41.090Z`.
        *   `FeeReversalTransaction` (_object_) Specifies a transaction object for an account.
            *   `TransactionId` (_string_, required)  
                Example: `123456`.
            *   `TransactionType` (_string_)  
                Example: `Fee`.
            *   `TransactionDescription` (_string_)  
                Example: `Annual Credit Card Fee`.
            *   `TransactionAmount` (_number_, required)  
                Example: `5000`.
            *   `TransactionPostedDate` (_string_, required)  
                Example: `2000-01-01`.
            *   `TransactionAmountCurrency` (_string_, required) Specifies the currency of the original transaction amount.  
                Example: `USD`.
            *   `TransactionCode` (_string_)
            *   `AdditionalAttributes` (_object_)
                
                _Example_
                
                ```
                "Subtype": Overdraft Fee
                ```
                
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve current account transactions

`GET /CurrentAccount/{accountId}/transactions`

Retrieves an current account to get its transactions.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `startDate` (query, string) Returns the transactions that occurred on or after the start date.
*   `endDate` (query, string) Returns the transactions that occurred on or before the end date.
*   `minAmount` (query, number) Returns the transactions having an amount that's higher than the minimum transaction amount.
*   `maxAmount` (query, number) Returns the transactions having an amount that's lower than the maximum transaction amount.
*   `description` (query, string) Returns the transactions having a description that contains the provided string.
*   `transactionType` (query, string) Returns the transactions where the transaction type matches the transactionType parameter.
*   `offset` (query, number) Specifies the number of transactions to be skipped before returning the first transaction.  
    Default: `0`.
*   `limit` (query, number) Specifies the maximum number of records to return.  
    Default: `10`.
*   `sortBy` (query, string) Specifies the fields that can be used to sort the records.  
    Default: `TransactionId`.
*   `fields` (query, string) Specifies the fields to be returned in the response.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Retrieved current account transactions.
    
    Media type: `application/json`. Schema: `object`.
    
    Financial account info returned by the GET method.
    
    *   `AccountId` (_string_)  
        Example: `01axx000003MLytAAG`.
    *   `AccountName` (_string_)  
        Example: `Salesforce.com`.
    *   `AccountCurrency` (_string_, required)  
        Example: `USD`.
    *   `AccountType` (_string_)  
        Example: `CurrentAccount`.
    *   `Transactions` (_array of object_, required)
        
        Each item: Specifies a transaction object for an account.
        
        *   `TransactionId` (_string_, required)  
            Example: `123456`.
        *   `TransactionType` (_string_)  
            Example: `Fee`.
        *   `TransactionDescription` (_string_)  
            Example: `Annual Credit Card Fee`.
        *   `TransactionAmount` (_number_, required)  
            Example: `5000`.
        *   `TransactionPostedDate` (_string_, required)  
            Example: `2000-01-01`.
        *   `TransactionAmountCurrency` (_string_, required) Specifies the currency of the original transaction amount.  
            Example: `USD`.
        *   `TransactionCode` (_string_)
        *   `AdditionalAttributes` (_object_)
            
            _Example_
            
            ```
            "Subtype": Overdraft Fee
            ```
            
    *   `AdditionalAttributes` (_object_)
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve standing instruction

`GET /CurrentAccount/{accountId}/Payments/Retrieve`

Retrieves standing instruction

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `paymentId` (query, string) The paymentId property is a unique and unambiguous identification of a payment order or standing order.  
    Example: `SOT00010000`.
*   `payeeName` (query, string) Specifies the beneficiary account holder name.  
    Example: `Amazon`.
*   `amount` (query, string) Specifies the payment order amount.  
    Example: `1000`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Retrieved standing instruction.
    
    Media type: `application/json`. Schema: `GetPaymentInstructionsResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Add standing instruction

`POST /CurrentAccount/{accountId}/Payments/Initiate`

Adds standing instructions / Transfers money between customer's own accounts.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `PaymentInstrcutionsRequest`.

#### Responses

*   **201** Added Standing Instruction / Transfered money between customer's own accounts.
    
    Media type: `application/json`. Schema: `PaymentInstrcutionsResponse`.
    
    Specifies the payment instructions request.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PUT Modify standing instructions

`PUT /CurrentAccount/{accountId}/Payments/{paymentId}/Update`

Modify standing instructions.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `paymentId` (path, string, required) The paymentId property is a unique and unambiguous identification of a payment order.  
    Example: `SOT00010000`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `PaymentInstrcutionsRequest`.

#### Responses

*   **200** Modified standing instruction.
    
    Media type: `application/json`. Schema: `UpdatePaymentInstructionsResponse`.
    
    Specifies the payment instructions request.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PATCH Cancel standing instruction

`PATCH /CurrentAccount/{accountId}/Payments/{paymentId}/Update`

Cancels standing instruction.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `paymentId` (path, string, required) The paymentId property is a unique and unambiguous identification of a payment order.  
    Example: `SOT00010000`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `CancelPaymentInstructionsRequest`.

#### Responses

*   **200** Canceled standing instruction.
    
    Media type: `application/json`. Schema: `CancelPaymentInstructionsResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Request current account statement

`POST /CurrentAccount/{accountId}/Statement/Request`

Requests current account statement.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `OrderStatementsRequest`.

#### Responses

*   **201** Requested current account statement.
    
    Media type: `application/json`. Schema: `OrderStatementsResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Order checkbook for current account

`POST /CurrentAccount/{accountId}/IssuedDevice/Initiate`

Orders checkbook for current account.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `IssuedDeviceRequest`.

#### Responses

*   **201** Ordered checkbook for current account.
    
    Media type: `application/json`. Schema: `IssuedDeviceResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PUT Stop check of current account

`PUT /CurrentAccount/{accountId}/IssuedDevice/Update`

Stops checks of current account.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `UpdateIssuedDeviceRequest`.

#### Responses

*   **200** Stopped check of current account.
    
    Media type: `application/json`. Schema: `UpdateIssuedDeviceResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PUT Replace cards for savings account

`PUT /SavingsAccount/IssuedDevice/Request`

Replaces cards for savings account.

#### Parameters

*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `ReplaceIssuedDeviceRequest`.

#### Responses

*   **200** Replace cards for savings account.
    
    Media type: `application/json`. Schema: `ReplaceIssuedDeviceResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve savings account balance

`GET /SavingsAccount/{accountId}`

Retrieves the account balance of savings account.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Retrieved savings account balance.
    
    Media type: `application/json`. Schema: `object`.
    
    Financial account info returned by the GET method.
    
    *   `AccountId` (_string_)  
        Example: `01axx000003MLytAAG`.
    *   `AccountName` (_string_)  
        Example: `Salesforce.com`.
    *   `AccountCurrency` (_string_, required)  
        Example: `USD`.
    *   `AccountType` (_string_, required)  
        Example: `SavingsAccount`.
    *   `Balances` (_array of object_, required)
        
        Each item: Balance object for an account.
        
        _Example_
        
        ```
        -
          BalanceType: CurrentPostedBalance
          BalanceAmount: 500
        -
          BalanceType: Balance
          BalanceAmount: 490
        -
          BalanceType: PendingWithdrawals
          BalanceAmount: 25
        -
          BalanceType: PendingDeposits
          BalanceAmount: 3000
        -
          BalanceType: BalanceLastStatement
          BalanceAmount: 2000
        ```
        
        *   `BalanceType` (_string_, required)  
            Example: `AvailableBalance`.
        *   `BalanceAmount` (_number_, required)  
            Example: `5000`.
    *   `AdditionalAttributes` (_object_)
        *   `PaymentDueDate` (_string_, required)  
            Example: `2025-06-08`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PATCH Update the address of savings account

`PATCH /SavingsAccount/{accountId}`

Updates the address of savings account.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.

#### Request body

Media type: `application/json`. Schema: `AddressUpdateRequest`.

#### Responses

*   **200** Updated the address of savings account
    
    Media type: `application/json`. Schema: `SuccessResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Add beneficiary

`POST /SavingsAccount/{accountId}/Initiate`

Adds a beneficiary.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `BeneficiariesRequest`.

#### Responses

*   **201** Beneficiary added.
    
    Media type: `application/json`. Schema: `BeneficiariesResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### DELETE Delete beneficiary

`DELETE /SavingsAccount/{accountId}/Delete`

Deletes a beneficiary.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `DeleteBeneficiariesRequest`.

#### Responses

*   **200** Deleted the beneficiary.
    
    Media type: `application/json`. Schema: `DeleteBeneficiariesResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Reverse fee on savings account

`POST /SavingsAccount/{accountId}/ReverseFee`

Reverses the fee that's applied on a customer's savings account.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `request` (_object_, required)
    *   `FeeReversalTransactions` (_array of object_, required) Specifies the list of transactions that the customer has requested to reverse.
        *   `ReversalAmount` (_number_, required) Specifies the amount that's approved for the reversal.  
            Example: `50.00`.
        *   `ReversalAmountCurrency` (_string_, required) Specifies the currency of the amount to be reversed.  
            Example: `USD`.
        *   `ReversalReason` (_string_, required) Specifies the reason for requesting the reversal.  
            Example: `Reversal requested by the VIP customer.`.
        *   `OriginalTransaction` (_object_, required) Specifies the details of the original transaction.
            *   `TransactionId` (_string_, required)  
                Example: `123456`.
            *   `TransactionAmount` (_number_, required)  
                Example: `5000`.
            *   `TransactionPostedDate` (_string_, required)  
                Example: `2000-01-01`.
            *   `TransactionDescription` (_string_)  
                Example: `Annual Credit Card Fee`.
            *   `TransactionType` (_string_)  
                Example: `Fee`.
            *   `TransactionAmountCurrency` (_string_, required) Specifies the currency of the original transaction amount.  
                Example: `USD`.
            *   `AdditionalAttributes` (_object_)
                
                _Example_
                
                ```
                "Subtype": Overdraft Fee
                ```
                
            *   `TransactionCode` (_string_)
        *   `AdditionalAttributes` (_object_, required) Specifies additional attributes that must be sent in the request.

#### Responses

*   **200** Reversed fee on savings account.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `FeeReversalTransactionResponse` (_array of object_, required)
        *   `OriginalTransactionId` (_string_, required)  
            Example: `someTransactionId`.
        *   `FeeReversalErrorDetail` (_object_) Response object for an error.
            *   `ErrorCode` (_string_)  
                Example: `E-002`.
            *   `ErrorMessage` (_string_, required)  
                Example: `Specifies the error while retrieving the account information.`.
            *   `MaintenanceResponse` (_object_)
                *   `timestamp` (_datetime (rfc3339)_)  
                    Example: `2022-02-28T16:41:41.090Z`.
        *   `FeeReversalTransaction` (_object_) Specifies a transaction object for an account.
            *   `TransactionId` (_string_, required)  
                Example: `123456`.
            *   `TransactionType` (_string_)  
                Example: `Fee`.
            *   `TransactionDescription` (_string_)  
                Example: `Annual Credit Card Fee`.
            *   `TransactionAmount` (_number_, required)  
                Example: `5000`.
            *   `TransactionPostedDate` (_string_, required)  
                Example: `2000-01-01`.
            *   `TransactionAmountCurrency` (_string_, required) Specifies the currency of the original transaction amount.  
                Example: `USD`.
            *   `TransactionCode` (_string_)
            *   `AdditionalAttributes` (_object_)
                
                _Example_
                
                ```
                "Subtype": Overdraft Fee
                ```
                
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve savings account transactions

`GET /SavingsAccount/{accountId}/transactions`

Retrieves an savings account to get its transactions.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `startDate` (query, string) Returns the transactions that occurred on or after the start date.
*   `endDate` (query, string) Returns the transactions that occurred on or before the end date.
*   `minAmount` (query, number) Returns the transactions having an amount that's higher than the minimum transaction amount.
*   `maxAmount` (query, number) Returns the transactions having an amount that's lower than the maximum transaction amount.
*   `description` (query, string) Returns the transactions having a description that contains the provided string.
*   `transactionType` (query, string) Returns the transactions where the transaction type matches the transactionType parameter.
*   `offset` (query, number) Specifies the number of transactions to be skipped before returning the first transaction.  
    Default: `0`.
*   `limit` (query, number) Specifies the maximum number of records to return.  
    Default: `10`.
*   `sortBy` (query, string) Specifies the fields that can be used to sort the records.  
    Default: `TransactionId`.
*   `fields` (query, string) Specifies the fields to be returned in the response.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Retrieved savings account transactions.
    
    Media type: `application/json`. Schema: `object`.
    
    Financial account info returned by the GET method.
    
    *   `AccountId` (_string_)  
        Example: `01axx000003MLytAAG`.
    *   `AccountName` (_string_)  
        Example: `Salesforce.com`.
    *   `AccountCurrency` (_string_, required)  
        Example: `USD`.
    *   `AccountType` (_string_)  
        Example: `SavingsAccount`.
    *   `Transactions` (_array of object_, required)
        
        Each item: Specifies a transaction object for an account.
        
        *   `TransactionId` (_string_, required)  
            Example: `123456`.
        *   `TransactionType` (_string_)  
            Example: `Fee`.
        *   `TransactionDescription` (_string_)  
            Example: `Annual Credit Card Fee`.
        *   `TransactionAmount` (_number_, required)  
            Example: `5000`.
        *   `TransactionPostedDate` (_string_, required)  
            Example: `2000-01-01`.
        *   `TransactionAmountCurrency` (_string_, required) Specifies the currency of the original transaction amount.  
            Example: `USD`.
        *   `TransactionCode` (_string_)
        *   `AdditionalAttributes` (_object_)
            
            _Example_
            
            ```
            "Subtype": Overdraft Fee
            ```
            
    *   `AdditionalAttributes` (_object_)
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve standing instruction

`GET /SavingsAccount/{accountId}/Payments/Retrieve`

Retrieves standing instruction

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `paymentId` (query, string) The paymentId property is a unique and unambiguous identification of a payment order or standing order.  
    Example: `SOT00010000`.
*   `payeeName` (query, string) Specifies the beneficiary account holder name.  
    Example: `Amazon`.
*   `amount` (query, string) Specifies the payment order amount.  
    Example: `1000`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Retrieved standing instruction.
    
    Media type: `application/json`. Schema: `GetPaymentInstructionsResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /CurrentAccount/IssuedDevice/Request 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Add standing instruction

`POST /SavingsAccount/{accountId}/Payments/Initiate`

Adds standing instructions / Transfers money between customer's own accounts.

#### Parameters

*   `accountId` (path, string, required) Specifies the account ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Specifies unique trackingId of the request  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Specifies unique flowRefId from source system of the request  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `PaymentInstrcutionsRequest`.

#### Responses

*   **201** Added Standing Instruction / Transfered money between customer's own accounts.
    
    Media type: `application/json`. Schema: `PaymentInstrcutionsResponse`.
    
    Specifies the payment instructions request.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** Found no valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
[...]
